Skip to main content
GET
List workspace agent versions

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_id
string
required

Organization identifier.

Required string length: 24
Pattern: ^[0-9a-f]{24}$
workspace_id
string
required

Workspace identifier.

Required string length: 24
Pattern: ^[0-9a-f]{24}$

Query Parameters

page
integer
default:1

Page number to query.

Required range: x >= 1
per_page
integer
default:100

Number of items per page.

Required range: 1 <= x <= 100
fields
string

Response fields to be included, separated by commas.

sort
string

Sort expression in the format :asc|desc.

Pattern: ^([a-z_]+):(asc|desc)$
filters
string

JSON expression of filters on filterable fields of the response.

Response

Paginated list of agent versions for the workspace.

data
object[]
required
has_next
boolean
required

Indicates if more results exist on the next page.